<header>
    {{isUpdate ? '修改' : '添加' }}部门
</header>
<hr>
<form class="form-horizontal bordered-group ng-pristine mt30 ng-valid" ng-submit="api.save(struct)" role="form" name="structForm" novalidate>
    <div class="form-group">
        <label class="col-sm-3 control-label" style="padding-right:5px; margin-left: 12px;"><mark>*</mark>上级部门</label>
        <div class="col-sm-7" style="padding-left:5px;">
            <select class="form-control" ng-options="item.id as item.name for item in data.structArray" ng-model="struct.parent" ng-disabled="isUpdate">
                <option value="">无上级部门</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-3 control-label"  style="padding-right:5px; margin-left: 12px;">部门编号</label>
        <div class="col-sm-7" style="padding-left:5px;">
            <input type="text" class="form-control" name="code" maxlength="20" ng-model="struct.code" required>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-3 control-label"  style="padding-right:5px; margin-left: 12px;"><mark>*</mark>部门名称</label>
        <div class="col-sm-7" style="padding-left:5px;">
            <input type="text" class="form-control" name="name" maxlength="50" ng-model="struct.name" required>
        </div>
    </div>
    <div class="center-block mt30 mb30 text-center">
        <button class="btn btn-info mr5" type="submit" ng-disabled="structForm.$invalid">保存</button>
        <button class="btn btn-default ngdialog-close ngdialog-cancel" type="button">取消</button>
    </div>
</form>
